%define name    sweep 
%define version 0.8.1
%define release 1mdk

Summary: 	Sound sample editor 
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
URL: 		http://sweep.sourceforge.net/
Source:	 	%{name}-%{version}.tar.bz2
Source1:	%name-32.png
Source2:	%name-16.png
License: 	GPL 
Group: 		Sound
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  libgtk+1.2-devel
BuildRequires:  libmad0-devel
BuildRequires:  libsamplerate0-devel
BuildRequires:  libsndfile1-devel >= 1.0.2
BuildRequires:  libspeex-devel
BuildRequires:  libtdb1-devel
BuildRequires:  libvorbis-devel
%description

Sweep is an audio editor and live playback tool for GNU/Linux, BSD and
compatible systems. It supports many music and voice formats including
WAV, AIFF, Ogg Vorbis, Speex and MP3, with multichannel editing and
LADSPA effects plugins. Inside lives a pesky little virtual stylus called
Scrubby who enjoys mixing around in your files.

%package devel
Summary: C headers for developing Sweep plugins
Group: Development/C
Requires: %name = %version-%release

%description devel
Sweep is an audio editor and live playback tool for GNU/Linux, BSD and
compatible systems. It supports many music and voice formats including
WAV, AIFF, Ogg Vorbis, Speex and MP3, with multichannel editing and
LADSPA effects plugins. Inside lives a pesky little virtual stylus called
Scrubby who enjoys mixing around in your files.

This package contains the C headers needed to compile plugins for Sweep.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure

%make

%install
%makeinstall_std
rm -f %buildroot/%_libdir/sweep/*.a
rm -rf %buildroot%_datadir/locale/en_AU
%{find_lang} %{name}

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/sweep"\
title="Sweep"\
longtitle="Sound editor"\
needs="x11"\
icon="%name.png"\
section="Multimedia/Sound"
EOF
)
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
ln -s %{_datadir}/pixmaps/sweep.png %buildroot%_liconsdir
install -m 644 %SOURCE1 %buildroot%_iconsdir/%name.png
install -m 644 %SOURCE2 %buildroot%_miconsdir/%name.png

%post
/sbin/ldconfig
%{update_menus}
 
%postun
/sbin/ldconfig
%{clean_menus}  

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/gnome/apps/Multimedia/*
%{_datadir}/pixmaps/*
%{_menudir}/*
%_libdir/sweep/*.so*
%_libdir/sweep/*.la
%dir %_datadir/sweep/
%_datadir/sweep/sweep_logo.ppm
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%files devel 
%defattr(-,root,root)
%doc doc/*.txt
%dir %_includedir/%name
%_includedir/%name/*.h

%changelog
* Thu Feb  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-1mdk
- new version

* Sat Jan 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- new version

* Fri Dec 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.13-2mdk
- rebuild for new glibc

* Fri Dec 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.13-1mdk
- new version

* Thu Dec 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.12-2mdk
- build with speex support
- remove the empty australian translation
- add icons

* Wed Dec 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.12-1mdk
- split out devel package
- fix installation
- fix description
- add the needed buildrequires
- new version

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1.1-3mdk
- Fix menu entry
- Add missing files

* Tue Nov 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-2mdk
- rebuild

* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.1-1mdk
- updated to 0.1.1

* Tue Sep 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.9-1mdk
- bm & macros & updated to 0.0.9

* Mon May 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.8-1mdk
- new in contribs
- used specfile provided by <rufus.t.firefly@linux-mandrake.com>

* Thu May 04 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - 0.0.8-1mdk

* Tue May 02 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - 0.0.7-1mdk (initial packaging, with bzip2 tarball)
